package example;

import Log;
import javax.swing.*;
import javax.swing.border.*;
import java.awt.*;
import java.awt.event.*;
import java.beans.*;
import junit.framework.*;
import junit.extensions.awt.*;
import java.io.File;
import junit.framework.Test;
import junit.framework.TestCase;
import junit.framework.TestSuite;
//import junit.textui.TestRunner;
//import junit.ui.TestRunner;
//import junit.swingui.TestRunner;

/** Simple test instance of AWTTestCase.  Provides a setup method to
 * instantate a gui for scripts to test.
 */
public class FontChooserTest extends AWTTestCase {

    /** Construct a test case with the given name. */
    public FontChooserTest(String name) { super(name); }

    /** Provide a default test suite for this test case. */
    public static Test suite() { 
        return new AWTTestSuite(FontChooserTest.class,
                                "example/scripts/FontChooser");
    }

    public static void main(String[] args) {
        args = Log.init(args);
        String[] names = { FontChooserTest.class.getName() };
        if (args.length == 1 && args[0].equals("--gui"))
            junit.swingui.TestRunner.main(names);
        else
            junit.textui.TestRunner.main(names);
    }
}
